## ros-indigo-fetch-arm-control 0.0.8

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(fetch_arm_control)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS
  rospy
  actionlib
  std_msgs
  geometry_msgs
  tf
  message_generation
)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

# Generate messages and services
add_message_files(
  FILES
  GripperState.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
  tf
)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
  INCLUDE_DIRS src/fetch_arm_control
  #LIBRARIES pr2_arm_control
  CATKIN_DEPENDS rospy
  #DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  ${catkin_INCLUDE_DIRS}
)

#############
## Install ##
#############

install(PROGRAMS
  nodes/interactive_arm_control.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  launch/arm_interaction_backend.launch
  launch/arm_interaction_frontend.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-fetch-arm-control (0.0.8-0trusty) trusty; urgency=high

  * Namespace topics and services, some marker fixes
  * Change World node to C++ and add Grasp suggestion integration
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Tue, 08 Aug 2017 07:00:00 -0000

ros-indigo-fetch-arm-control (0.0.7-0trusty) trusty; urgency=high

  * Make the gripper open all the way
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Thu, 20 Apr 2017 07:00:00 -0000

ros-indigo-fetch-arm-control (0.0.6-0trusty) trusty; urgency=high



 -- Sarah Elliott <sksellio@gmail.com>  Sat, 29 Oct 2016 07:00:00 -0000

ros-indigo-fetch-arm-control (0.0.5-0trusty) trusty; urgency=high



 -- Sarah Elliott <sksellio@gmail.com>  Sat, 17 Sep 2016 07:00:00 -0000

ros-indigo-fetch-arm-control (0.0.4-0trusty) trusty; urgency=high

  * Dependencies again
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Fri, 09 Sep 2016 07:00:00 -0000

ros-indigo-fetch-arm-control (0.0.3-0trusty) trusty; urgency=high

  * More dependency fixing
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Fri, 09 Sep 2016 07:00:00 -0000

ros-indigo-fetch-arm-control (0.0.2-0trusty) trusty; urgency=high

  * Dependencies
  * Contributors: Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Fri, 09 Sep 2016 07:00:00 -0000

ros-indigo-fetch-arm-control (0.0.1-0trusty) trusty; urgency=high

  * Update package.xml
  * Getting ready to be released
  * Marker UI fixes
  * Fixes based on Russell's comments
  * Documentation and code cleanup
  * Make my own sortable list
  * Add back the standalone arm control node
  * Huge reorganisation. Now working.
  * Huge reorganisation. Now working.
  * Changed ArmControls class to ArmInteraction, fixed bug in PbD
  * Make fake Interactive Manipulation work
  * Working, all functionality of PR2 PbD
  * First commit of port of PbD to Fetch. Things work. Rough around the edges.
  * Contributors: Russell Toris, Sarah Elliott

 -- Sarah Elliott <sksellio@gmail.com>  Fri, 09 Sep 2016 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-fetch-arm-control
Section: misc
Priority: extra
Maintainer: Sarah Elliott <sksellio@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-fetch-arm-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-tf
Description: The fetch_arm_control package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fetch-arm-control//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
